package com.yc.ship.module.resource.service.shiptype;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.resource.controller.admin.shiptype.vo.*;
import com.yc.ship.module.resource.dal.dataobject.shiptype.ResourceShipTypeDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 资源管理-游轮类型管理 Service 接口
 *
 * @author lfy
 */
public interface ResourceShipTypeService {

    /**
     * 创建资源管理-游轮类型管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShipType(@Valid ResourceShipTypeSaveReqVO createReqVO);

    /**
     * 更新资源管理-游轮类型管理
     *
     * @param updateReqVO 更新信息
     */
    void updateShipType(@Valid ResourceShipTypeSaveReqVO updateReqVO);

    /**
     * 删除资源管理-游轮类型管理
     *
     * @param id 编号
     */
    void deleteShipType(Long id);

    /**
     * 获得资源管理-游轮类型管理
     *
     * @param id 编号
     * @return 资源管理-游轮类型管理
     */
    ResourceShipTypeDO getShipType(Long id);

    /**
     * 获得资源管理-游轮类型管理分页
     *
     * @param pageReqVO 分页查询
     * @return 资源管理-游轮类型管理分页
     */
    PageResult<ResourceShipTypeDO> getShipTypePage(ResourceShipTypePageReqVO pageReqVO);

    /**
     * 获取列表
     * @return
     */
    List<ResourceShipTypeDO> getListSimple();

    /**
     * 获取列表
     * @param ids
     * @return
     */
    List<ResourceShipTypeDO> getList(List<Long> ids);
}